Bug 214966 - Review Request: panelfm - Quick File Manager Applet
Review Request: panelfm - Quick File Manager Applet
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-10 06:09 EST by Mamoru TASAKA
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-11 09:38:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2006-11-10 06:09:09 EST
Spec URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/panelfm.spec
SRPM URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/panelfm-1.1-1.src.rpm
Description: 
PanelFM is a GNOME applet that provides quick access to the file system. It
uses popup menus to display files and directories. Multiple root points can be
defined for the main menu by creating a .panelfmrc containing a list of root
points, one on each line. Each root point must be an absolute path name.
Comment 2 Parag AN(पराग) 2006-11-11 04:44:16 EST
Nice application will take this for official review.
Comment 3 Parag AN(पराग) 2006-11-11 09:04:41 EST
Review:
+ package builds in mock (development i386) for FC6.
+ rpmlint is silent for RPM and SRPM.
+ source files match upstream.
5a18f0beba718d6efaace22ed13c1b9e  panelfm.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written but NOT properly indented.
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ COPYING included in %doc.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc files.
+ no -devel subpackage exists
+ no .la files.
+ no translations available
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ GUI related pannel applet application
APPROVED.

Comment 4 Parag AN(पराग) 2006-11-11 09:06:20 EST
Don't Forget to CLOSE this bug after you build package
Comment 5 Mamoru TASAKA 2006-11-11 09:38:47 EST
Well,
* Build for FE-devel succeeded.
* SyncNeeded is requested for FE-6, FE-5.

Now I close this bug as CLOSED NEXTRELEASE.
Thank you for reviewing and approving this package!!

Note You need to log in before you can comment on or make changes to this bug.